<?php

declare(strict_types=1);

namespace Drupal\lms_xapi\Plugin\Field\FieldWidget;

use Drupal\Core\Field\Attribute\FieldWidget;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\file\Plugin\Field\FieldWidget\FileWidget;

/**
 * Plugin implementation of the 'entity_reference_autocomplete' widget.
 */
#[FieldWidget(
  id: 'lms_xapi',
  label: new TranslatableMarkup('Default'),
  description: new TranslatableMarkup('Default widget for LMS Xapi package.'),
  field_types: ['lms_xapi'],
)]
final class XapiFieldWidget extends FileWidget {

}
